baz_burster Class Reference
GNU Radio baz C++ Signal Processing Blocks

burster a stream of floats. More...

`#include <baz_burster.h>`

Inheritance diagram for baz_burster:
[legend]

## Public Member Functions

| ~baz_burster ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_burster_sptr | baz_make_burster (const baz_burster_config &config)
| Return a shared_ptr to a new instance of baz_burster.

## Detailed Description

burster a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_burster()

baz_burster::~baz_burster | ( |  | ) |

## Member Function Documentation

## forecast()

void baz_burster::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int baz_burster::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Symbol Documentation

## baz_make_burster

BAZ_API baz_burster_sptr baz_make_burster | ( | const baz_burster_config & | config | ) |

friend

Return a shared_ptr to a new instance of baz_burster.

To avoid accidental use of raw pointers, baz_burster's constructor is private. baz_make_burster is the public interface for creating new instances.

## Member Data Documentation

## d_dummy_zero_first

char baz_burster::d_dummy_zero_first

## d_stream_time

burst_time baz_burster::d_stream_time

The documentation for this class was generated from the following file:

- baz_burster.h